XPressME Integration Kit

フォーラム

Re: XPressME Integration Kit Ver2.4.4の自動更新

#3376
匿名
ゲスト

toemonさん

ありがとうございます。

> file_existsの部分を$wp_filesystem->existsに変更して試してもらえないでしょうか?

これでばっちりです。

> 一旦、アップデートした後でも、

> モジュールルートのxoops_version.phpの85行目

> $modversionを2.44から2.42変更して再度モジュールアップデートしておけば

> 自動更新のテスト自体は何度でも行うことが出来ます。

上記の方法で再テストして成功しました。

is_wp_error()やempty()は関係なくて、file_exists()を$wp_filesystem->existsにするだけだったんですね。『「/XPressME_Integration_Kit_Ver2.4.4」が足りない。』も関係なかったんですね・・・。

これからもよろしくお願い致します。